For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Attribute

Master Attribute

Attribute list

get

Gets all Attribute List

Query parameters
limitinteger · int32Optional
offsetinteger · int32Optional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the attribute list.
get/attribute
GET /attribute HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully got the attribute list."
}

Create Attribute

post

Create a attribute

Header parameters
AuthorizationstringRequired
Body
attributeNamestringRequired
groupIdinteger · int32Required
sortOrderinteger · int32Required
Responses
200

Success response

application/json
post/attribute
POST /attribute HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 50

"attributeName='text'&groupId=1&sortOrder=1"
{
  "data": {
    "attribute_id": 1,
    "group_id": 1,
    "attribute_name": "text",
    "sort_order": 1
  }
}

Create Attribute

put

Create a attribute

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Body
attributeNamestringRequired
groupIdinteger · int32Required
sortOrderinteger · int32Required
Responses
200

Success response

application/json
put/attribute/{id}
PUT /attribute/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 50

"attributeName='text'&groupId=1&sortOrder=1"
{
  "data": {
    "attribute_id": 1,
    "group_id": 1,
    "attribute_name": "text",
    "sort_order": 1
  }
}

Attribute list

delete

Gets all Attribute List

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfullly deleted attribute.
delete/attribute/{id}
DELETE /attribute/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfullly deleted attribute."
}

Attribute list

get

Gets all Attribute List

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully Got attribute
get/get-attribute/{id}
GET /get-attribute/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully Got attribute"
}

Attribute Group

Attribute Group list

get

Gets all Attribute Group List

Query parameters
limitinteger · int32Optional
offsetinteger · int32Optional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the attribute group list.
get/attribute-group
GET /attribute-group HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully got the attribute group list."
}

Create Attribute Group

post

Create a attribute group

Header parameters
AuthorizationstringRequired
Body
attributeGroupNamestringRequired
sortOrderinteger · int32Required
Responses
200

Success response

application/json
statusintegerOptional
messagestringOptionalDefault: Successfully added Attribute Group..
post/attribute-group
POST /attribute-group HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 43

"attributeGroupName='text'&sortOrder=1"
{
  "status": 1,
  "message": "Successfully added Attribute Group..",
  "data": {
    "groupId": 1,
    "attributeGroupName": "text",
    "sortOrder": 1
  }
}

Update Attribute Group

put

Update a attribute group

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Body
attributeGroupNamestringRequired
sortOrderinteger · int32Required
Responses
200

Success response

application/json
statusintegerOptional
messagestringOptionalDefault: Successfully updated Attribute Group.
put/attribute/{id}
PUT /attribute/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 43

"attributeGroupName='text'&sortOrder=1"
{
  "status": 1,
  "message": "Successfully updated Attribute Group.",
  "data": {
    "groupId": 1,
    "attributeGroupName": "text",
    "sort_order": 1
  }
}

Delete Attribute Group

delete

Deletes the Attribute Group for the Given Id

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfullly deleted Attribute Group.
delete/attribute/{id}
DELETE /attribute/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfullly deleted Attribute Group."
}

Get One Attribute Group

get

Gets a Particular Attribute Group Details

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully Got attribute group
get/get-attribute-group/{id}
GET /get-attribute-group/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully Got attribute group"
}

Product Attribute

To Update Product Attribute

post

Update a product attribute

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Body
productIdinteger · int32Optional
Responses
200

Success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully updated the Product.
post/product-attributes/{id}
POST /product-attributes/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 68

"productId=1&productAttribute=[{'attributeId':1,'text':'text'}]"
{
  "status": 1,
  "message": "Successfully updated the Product."
}

Product Attribute Details

get

Get detail of product attribute

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get productDetail
get/product-detail/{id}
GET /product-detail/{id} HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully get productDetail"
}

Product Attribute List

get

Gets all Product Attribute List

Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the complete product list."or"Successfully got product lists count.
get/product-attributes
GET /product-attributes HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully got the complete product list.\"or\"Successfully got product lists count."
}

Store Attribute

Store Product Attribute List

get

Gets all Store Product Attribute List

Path parameters
idinteger · int32Required
Header parameters
AuthorizationstringRequired
Responses
200

Success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get productDetail
get/store-product-attributes/product-detail/{id}
GET /store-product-attributes/product-detail/{id} HTTP/1.1
Authorization: text
Accept: */*
200

Success response

{
  "status": 1,
  "message": "Successfully get productDetail"
}

Last updated